> For the complete documentation index, see [llms.txt](https://docs.scanner.dev/scanner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/detections-and-alerting/detection-rules/detection-alert-formatting/customizing-pagerduty-alerts.md).

# Customizing PagerDuty Alerts

To customize event alerts sent to PagerDuty event sinks, use the `@pagerduty.` prefix for keys. For example, if you want to customize `payload.source`, use `@pagerduty.payload.source` as the key. Any keys prefixed with `@pagerduty.` will only be used for the PagerDuty alert. Any keys not prefixed with `@pagerduty.` will be routed to the `payload.custom_details` object.

See the [PagerDuty API](https://developer.pagerduty.com/api-reference/368ae3d938c9e-send-an-event-to-pager-duty) for the request body information.

PagerDuty alerts will work without any custom formatting, as Scanner provides defaults for the following required/important keys:

| Key                 | Default                                                                |
| ------------------- | ---------------------------------------------------------------------- |
| `payload.summary`   | `{{@alert.name}}`                                                      |
| `payload.source`    | `scanner.dev`                                                          |
| `payload.timestamp` | `{{@alert.timestamp}}`                                                 |
| `payload.severity`  | `critical`                                                             |
| `event_action`      | `trigger`                                                              |
| `dedup_key`         | `{{@alert.detection_rule_id}}`                                         |
| `routing_key`       | The integration key provided in the PagerDuty event sink configuration |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/detections-and-alerting/detection-rules/detection-alert-formatting/customizing-pagerduty-alerts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
